API Reference
Transcripts
Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Query Parameters
symbols?array<string>|null
cursor?string|null
limit?integer|null
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/transcripts"{ "data": [ { "id": 51791, "ticker": "UBER", "exchange": "US", "period_label": "Q1 FY2026", "period_end_date": "2026-03-31", "call_date": "2026-05-07T20:30:00+00:00", "event_type": "earnings", "event_id": 51791, "is_current": true, "supersedes_id": null, "duration_ms": 3528000, "has_slides": true, "provenance": { "src_id": "src_transcripts_7fcb6489d4b31d64", "source_provider": "signals_transcript", "source_url": "disclosed://transcript/51791", "accession": null, "quote": null, "content_hash": null, "extracted_at": null } } ], "pagination": { "next_cursor": null, "has_more": false }}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
transcript_id*Transcript Id
Query Parameters
section?Section
full|prepared|qa
Default
"full"Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/transcripts/0"{ "id": 51791, "ticker": "UBER", "exchange": "US", "period_label": "Q1 FY2026", "period_end_date": "2026-03-31", "call_date": "2026-05-07T20:30:00+00:00", "event_type": "earnings", "event_id": 51791, "is_current": true, "supersedes_id": null, "duration_ms": 3528000, "has_slides": true, "provenance": { "src_id": "src_transcripts_7fcb6489d4b31d64", "source_provider": "signals_transcript", "source_url": "disclosed://transcript/51791", "accession": null, "quote": null, "content_hash": null, "extracted_at": null }, "section": "full", "speakers": [ { "speaker_id": "1", "name": "Dara Khosrowshahi", "role": "CEO", "affiliation": "Uber Technologies, Inc." }, { "speaker_id": "2", "name": "Prashanth Mahendra-Rajah", "role": "CFO", "affiliation": "Uber Technologies, Inc." } ], "chapters": [ { "kind": "prepared", "start_ms": 0 }, { "kind": "qa", "start_ms": 1830000 } ], "segments": [ { "speaker": 1, "text": "Gross Bookings grew to $44.8 billion, up 18% year over year.", "offset_ms": 124000, "duration_ms": 6200, "section": "prepared" } ]}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}